End of Day

End Of Day

post
/v2/terminal-host/eod

This service runs the end-of-day (EOD) operation for the terminal and returns totals. Example: "End of day is executed and a summary is reported via the totals/batchNo/resultMessage fields."

Authorization (Bearer Token):

  • The token value is the access_token returned by the OAuth token service.

  • Header format: Authorization: Bearer {access_token}

Authorizations
AuthorizationstringRequired

Authorization with Bearer Token. Header format: Authorization: Bearer {access_token}

The access_token is generated by the OAuth token service and is used in Terminal Host services.

Body
conversationIdstringRequired

ID value used to match the request and response. It is determined by the merchant, and the value sent in the request is returned in the response.

localestring · enumRequired

Request language.

Possible values:
deviceUniqueIdstringRequired

Unique identifier defined for the terminal/device where the transaction is performed.

useSummarybooleanOptional

If sent as true, transaction details are shown on the printed slip. If sent as false, all transaction details are not shown on the slip.

Responses
chevron-right
200

Success

application/json
statusstringOptional

Transaction result. (SUCCESS, FAILURE, etc.)

errorCodestringOptional

Error code returned if the transaction fails. It is empty for successful transactions.

errorMessagestringOptional

Descriptive error message returned in case of an error.

errorGroupstringOptional

Group/category information of the error.

localestring · enumOptional

Response language

Possible values:
systemTimeinteger · int64Optional

Unix timestamp value of when the transaction was processed in iyzico systems.

conversationIdstringOptional

Unique value sent by the merchant for request-response matching and transaction tracking.

batchNostringOptional

Batch (end-of-day) number that includes the transaction.

resultMessagestringOptional

Result Message

post
/v2/terminal-host/eod

Sample Collection

Last updated